## strace 6.8

=== debian/changelog ===
strace (6.8-0ubuntu2) noble; urgency=medium

  * d/p/fix-time_t-conversion.patch: fix conversions to compile with
    64bit time_t (LP: #2060805)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Apr 2024 11:32:42 +0200

strace (6.8-0ubuntu1) noble; urgency=medium

  * New upstream version to match kernel version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Apr 2024 08:40:28 +0200
