## strace 6.11

=== debian/changelog ===
strace (6.11-0ubuntu1) oracular; urgency=medium

  * New upstream version, to match the kernel version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Oct 2024 12:43:49 +0200

strace (6.8-2) unstable; urgency=medium

  * Team upload.
  * Only use libunwind on amd64 (Closes: #1070853) 
    Thanks to Emanuele Rocca <ema@debian.org>

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 06 Jun 2024 18:22:04 +0800
