## strace 6.12%2Bds

=== debian/changelog ===
strace (6.12+ds-1) unstable; urgency=medium

  * New upstream version 6.12+ds
  * Refresh d/patches/*
    - Drop decrease-the-maximal-pipe-fd.patch which upstream has applied

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 24 Nov 2024 22:04:01 +0800

strace (6.11+ds-1) unstable; urgency=medium

  [ Bo YU ]
  * Repack the package
    - update debian/watch
    - update debian/copyright
  * New upstream version 6.11+ds. (closes: #1078842)
  * Drop 03-fix-arm-time_t-ftbfs.patch which upstream has been appiled
  * Add Rules-Requires-Root
  * Update d/copyright
  * Add metadata file
  * Add myself as uploader
  * Restore build-deps with upstream.
  * Add decrease-the-maximal-pipe-fd.patch from upstream

  [ Kirill Rekhov ]
  * remove field prefix XC-Package-Type

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 04 Nov 2024 14:57:32 +0800
