=== debian/control ===
--- 
+++ 
@@ -1,12 +1,22 @@
 Source: strace
 Maintainer: Steve McIntyre <93sam@debian.org>
+Uploaders: Bo YU <tsu.yubo@gmail.com>
 Section: utils
 Priority: optional
-Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev, libbluetooth-dev
+Build-Depends:
+ libc6-dev (>= 2.2.2) [!alpha !ia64],
+ libc6.1-dev (>= 2.2.2) [alpha ia64],
+ gcc-multilib [amd64 i386 powerpc ppc64 s390 s390x sparc sparc64 x32],
+ debhelper (>= 10.0.0),
+ gawk,
+ libunwind-dev [amd64],
+ libiberty-dev,
+ libbluetooth-dev
 Standards-Version: 4.1.3
 Homepage: https://strace.io
 Vcs-Git: https://salsa.debian.org/debian/strace.git
 Vcs-Browser: https://salsa.debian.org/debian/strace
+Rules-Requires-Root: no
 
 Package: strace
 Architecture: linux-any
@@ -39,7 +49,7 @@
 
 Package: strace-udeb
 Section: debian-installer
-XC-Package-Type: udeb
+Package-Type: udeb
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
