## strace 6.13+ds

=== debian/changelog ===
strace (6.13+ds-1) unstable; urgency=medium

  * New upstream version 6.13+ds
  * Rebase debian/patches/*.patch
  * Enable test with fatal on riscv64 again. (Closes: #1043393)
  * Drop mipsel from non-fatal test filter
  * Update my debian email

 -- Bo YU <vimer@debian.org>  Thu, 30 Jan 2025 15:17:30 +0000
