=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: strace
 Maintainer: Steve McIntyre <93sam@debian.org>
-Uploaders: Bo YU <tsu.yubo@gmail.com>
+Uploaders: Bo YU <vimer@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
