## strace 6.14

=== debian/changelog ===
strace (6.14-0ubuntu1) plucky; urgency=medium

  * New upstream release version 6.14+ds

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 25 Mar 2025 20:11:05 +0100

strace (6.13+ds-1ubuntu1) plucky; urgency=medium

  * gcc-multilib has been dropped on s390x, drop it from Build-Depends

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 14 Mar 2025 11:27:48 +0100
