=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: strace
-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Uploaders: Bo YU <vimer@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
  libc6-dev (>= 2.2.2) [!alpha !ia64],
  libc6.1-dev (>= 2.2.2) [alpha ia64],
- gcc-multilib [amd64 i386 powerpc ppc64 s390 s390x sparc sparc64 x32],
+ gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32],
  debhelper (>= 10.0.0),
  gawk,
  libunwind-dev [amd64],
