## strace 6.15+ds

=== debian/changelog ===
strace (6.15+ds-1) experimental; urgency=medium

  [ Kirill Rekhov ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * debian/control: update Standards-Version to 4.7.2

  [ Bo YU ]
  * New upstream version 6.15+ds
  * Update year of d/copyright

 -- Bo YU <vimer@debian.org>  Mon, 28 Jul 2025 11:50:50 +0800
