## strace 6.16+ds

=== debian/changelog ===
strace (6.16+ds-2ubuntu2) questing; urgency=medium

  * Ubuntu: workaround vDSO-less armhf procs on arm64 kernel (LP: #2125424)
    - d/p/0004-Erase-clock_gettime64-calls-on-armhf.patch: mangle the
      tests to ignore the new calls.

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 25 Sep 2025 11:30:37 +0200

strace (6.16+ds-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2125001). Remaining changes:
    - gcc-multilib has been dropped on s390x, drop it from Build-Depends

 -- Hector Cao <hector.cao@canonical.com>  Fri, 19 Sep 2025 17:51:33 +0200

strace (6.16+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Bo YU <vimer@debian.org>  Mon, 11 Aug 2025 15:18:18 +0800

strace (6.16+ds-1) experimental; urgency=medium

  * New upstream version 6.16+ds

 -- Bo YU <vimer@debian.org>  Mon, 11 Aug 2025 00:37:38 +0800
