=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  libc6-dev (>= 2.2.2) [!alpha !ia64],
  libc6.1-dev (>= 2.2.2) [alpha ia64],
  gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32],
- debhelper (>= 10.0.0),
+ debhelper-compat (= 13),
  gawk,
  libunwind-dev [amd64],
  libiberty-dev,
  libbluetooth-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
 Homepage: https://strace.io
 Vcs-Git: https://salsa.debian.org/debian/strace.git
 Vcs-Browser: https://salsa.debian.org/debian/strace
