=== debian/rules ===
--- 
+++ 
@@ -55,8 +55,7 @@
 	$(MAKE) -C $*
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	$*/src/strace -V
-# for riscv64, see #1043393
-ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el mipsel riscv64))
+ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
 	echo "WARNING: Making tests non-fatal because of known test failures on $(DEB_HOST_ARCH)."
 	$(MAKE) -C $* check VERBOSE=1 || true
 else
