## strace 6.18+ds

=== debian/changelog ===
strace (6.18+ds-2) unstable; urgency=medium

  * Making non-fatal tests on armhf due to the issue upstream known.
    (Closes: #1125942)
  * Drop gcc-multilib build-dependency on s390x. (Closes: #1125246)
    Thanks to Aurelien Jarno <aurel32@debian.org>

 -- Bo YU <vimer@debian.org>  Sun, 25 Jan 2026 16:39:48 +0800

strace (6.18+ds-1) unstable; urgency=medium

  * switch to debian-watch 5
  * New upstream version 6.18. (Closes: #1122484)

 -- Bo YU <vimer@debian.org>  Wed, 24 Dec 2025 12:39:14 +0800
