=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: strace
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Steve McIntyre <93sam@debian.org>
 Uploaders: Bo YU <vimer@debian.org>
 Section: utils
 Priority: optional
