=== debian/watch ===
Version: 5
Source: https://strace.io/files/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: s/\+ds(\.\d+)?$//
Repack: yes
Compression: xz
Pgp-Sig-Url-Mangle: s%$%.asc%
Repacksuffix: +ds
